version: 1
default_environment: dev
project_id: 
environments:
- name: dev
- name: staging
- name: prod
plugins:
  extractors:
  - name: tap-postgres
    variant: meltanolabs
    pip_url: git+https://github.com/MeltanoLabs/tap-postgres.git
    config:
      database: dev-org
      host: 
      port: 
      user: 
      password: 
      flattening_enabled: true
      flattening_max_depth: 25666
    select:
    - public-testdb.*

    metadata:
      public-testdb:
        replication-method: INCREMENTAL
        replication-key: last_modified_on

  - name: tap-postgress-devorg1002
    inherit_from: tap-postgres
        variant: meltanolabs
    pip_url: git+https://github.com/MeltanoLabs/tap-postgres.git
    config:
      database: 
      host: 
      port: 
      user: 
      password: 
      flattening_enabled: true
      flattening_max_depth: 25666
    select:
    - public-testdb.*

    metadata:
      public-testdb:
        replication-method: INCREMENTAL
        replication-key: last_modified_on

  loaders:
  - name: target-jsonl
    variant: andyh1203
    pip_url: target-jsonl
    config:
      destination_path: devorg

